#include "../Framework3/Direct3D/D3DApp.h"

class App : public D3DApp {
public:
	char *getTitle() const { return "High quality texture compression"; }

	void resetCamera();
	bool onKey(const uint key, const bool pressed);

	bool init();
	bool load();

	void drawFrame();

protected:
	ShaderID shader[3];
	TextureID baseRGB, baseDXT1, baseYATI1N, baseCbCrATI2N, baseYDXT1, baseCbCrDXT5;
	SamplerStateID trilinearAniso;

	VertexFormatID vertexFormat;

	int mode;
	bool modesSupported[6];
	const char *errorMsg;
	float errorTime;
};
